<?php
// $Id: yamm_client.admin.inc,v 1.1.2.1 2009/08/14 15:41:28 pounard Exp $

/**
 * @file
 * Yamm client settings forms.
 */

function yamm_client_settings($form_state) {
  $form = array();

  $form['datasync'] = array(
    '#type' => 'fieldset',
    '#title' => t('DataSync options'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE);

  $form['datasync']['text'] = array(
    '#type' => 'markup',
    '#value' => '<p>' . t('This option will try to fix DataSync module configuration to make it work without any further configuration. Not that this might not work on all environments.') . '</p>');

  $form['datasync']['rebuild_submit'] = array(
    '#type' => 'submit',
    '#value' => t('Rebuild DataSync configuration'),
    '#submit' => array('yamm_client_rebuild_datasync'));

  $form['server'] = array(
    '#type' => 'fieldset',
    '#title' => t('Server'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE);

  $form['server'][YAMM_CLIENT_SERVER_URL] = array(
    '#type' => 'textfield',
    '#default_value' => variable_get(YAMM_CLIENT_SERVER_URL, NULL),
    '#title' => t('URL'));

  return system_settings_form($form);
}

function yamm_client_rebuild_datasync($form, &$form_state) {
  yamm_api_rebuild_datasync(array('yamm_sync'));
}

